## org.eclipse.emf.mapping.presentation
Class MappingDomainLabelProvider

    java.lang.Object
      org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider
          org.eclipse.emf.mapping.presentation.MappingDomainLabelProvider

All Implemented Interfaces:
  INotifyChangedListener, IBaseLabelProvider, ILabelProvider, ITableLabelProvider

    public class MappingDomainLabelProvider

extends AdapterFactoryLabelProvider

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider
`AdapterFactoryLabelProvider.ColorProvider, AdapterFactoryLabelProvider.FontAndColorProvider, AdapterFactoryLabelProvider.FontProvider`

Field Summary
`protected static java.util.HashMap<org.eclipse.emf.mapping.presentation.MappingDomainLabelProvider.Key,java.lang.Object>` `images`
`protected AdapterFactoryMappingDomain` `mappingDomain`

Fields inherited from class org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider
`adapterFactory, defaultBackground, defaultFont, defaultForeground, isFireLabelUpdateNotifications, labelProviderListeners`

Constructor Summary
`MappingDomainLabelProvider(AdapterFactoryMappingDomain mappingDomain)`

Method Summary
`Image` `getColumnImage(java.lang.Object object, int columnIndex)` This implements `ITableLabelProvider`.getColumnImage by forwarding it to an object that implements `ITableItemLabelProvider.getColumnImage` or failing that, an object that implements `IItemLabelProvider.getImage` where the columnIndex is ignored.
`Image` `getImage(java.lang.Object object)` This implements `ILabelProvider`.getImage by forwarding it to an object that implements `IItemLabelProvider.getImage`

Methods inherited from class org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider

`addListener, dispose, fireLabelProviderChanged, getAdapterFactory, getBackground, getBackground, getColorFromObject, getColumnText, getDefaultBackground, getDefaultFont, getDefaultForeground, getDefaultImage, getFont, getFont, getFontFromObject, getForeground, getForeground, getImageFromObject, getText, isFireLabelUpdateNotifications, isLabelProperty, notifyChanged, removeListener, setAdapterFactory, setDefaultBackground, setDefaultFont, setDefaultForeground, setFireLabelUpdateNotifications`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### images

    protected static java.util.HashMap<org.eclipse.emf.mapping.presentation.MappingDomainLabelProvider.Key,java.lang.Object> images

### mappingDomain

    protected AdapterFactoryMappingDomain mappingDomain

Constructor Detail

### MappingDomainLabelProvider

    public MappingDomainLabelProvider(AdapterFactoryMappingDomain mappingDomain)

Method Detail

### getColumnImage

    public Image getColumnImage(java.lang.Object object,
                                int columnIndex)

  Description copied from class: `AdapterFactoryLabelProvider`
  This implements `ITableLabelProvider`.getColumnImage by forwarding it to an object that implements `ITableItemLabelProvider.getColumnImage` or failing that, an object that implements `IItemLabelProvider.getImage` where the columnIndex is ignored.

  Specified by:
    `getColumnImage` in interface `ITableLabelProvider`
  Overrides:
    `getColumnImage` in class `AdapterFactoryLabelProvider`

### getImage

    public Image getImage(java.lang.Object object)

  Description copied from class: `AdapterFactoryLabelProvider`
  This implements `ILabelProvider`.getImage by forwarding it to an object that implements `IItemLabelProvider.getImage`

  Specified by:
    `getImage` in interface `ILabelProvider`
  Overrides:
    `getImage` in class `AdapterFactoryLabelProvider`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.